/**
 * Licensed to the Apache Software Foundation (ASF) under one or more
 * contributor license agreements.  See the NOTICE file distributed with
 * this work for additional information regarding copyright ownership.
 * The ASF licenses this file to You under the Apache License, Version 2.0
 * (the "License"); you may not use this file except in compliance with
 * the License.  You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

import ChartEdit from './chart-edit.vue';
import ChartAvgResponse from './chart-avg-response.vue';
import ChartAvgThroughput from './chart-avg-throughput.vue';
import ChartAvgSLA from './chart-avg-sla.vue';
import ChartResponse from './chart-response.vue';
import ChartResponseLine from './chart-response-line.vue';
import ChartTroughput from './chart-through.vue';
import ChartBrief from './chart-brief.vue';
import ChartDependency from './chart-dependency.vue';
import ChartHeatmap from './chart-heatmap.vue';
import ChartHeatmapScatter from './chart-scatter.vue';
import ChartInstance from './chart-instance.vue';
import ChartSlow from './chart-slow.vue';
import ChartCpu from './chart-cpu.vue';
import ChartGC from './chart-gc.vue';
import ChartHeap from './chart-heap.vue';
import ChartNonHeap from './chart-nonheap.vue';
import ChartTrace from './chart-trace.vue';
import ChartTraceDB from './chart-trace-db.vue';
import ChartEnvoyCollections from './chart-envoy-collections.vue';
import ChartEnvoyMemory from './chart-envoy-memory.vue';
import ChartClrHeap from './chart-clr-heap.vue';
import ChartClrGC from './chart-clr-gc.vue';
import ChartClrCPU from './chart-clr-cpu.vue';

export default {
  ChartEdit,
  ChartAvgResponse,
  ChartAvgThroughput,
  ChartAvgSLA,
  ChartResponse,
  ChartResponseLine,
  ChartTroughput,
  ChartTrace,
  ChartBrief,
  ChartHeatmap,
  ChartHeatmapScatter,
  ChartEnvoyCollections,
  ChartEnvoyMemory,
  ChartInstance,
  ChartSlow,
  ChartCpu,
  ChartGC,
  ChartHeap,
  ChartNonHeap,
  ChartTraceDB,
  ChartDependency,
  ChartClrHeap,
  ChartClrGC,
  ChartClrCPU,
};
